> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Base Status

> Get Knowledge Base Status



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/common/api.json get /kb/v1/knowledge-bases/{id}/status
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /kb/v1/knowledge-bases/{id}/status:
    get:
      tags:
        - Knowledge Bases
      summary: Get Knowledge Base Status
      description: Get Knowledge Base Status
      operationId: getKnowledgeBaseStatus
      parameters:
        - name: id
          description: Knowledge Base ID
          required: true
          in: path
          schema:
            type: string
          example: 5f7b1b1b1b1b1b1b1b1b1b1b
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 5f7b1b1b1b1b1b1b1b1b1b1b
                  status:
                    type: string
                    example: trained
                    enum:
                      - draft
                      - created
                      - queued
                      - training
                      - trained
                  description:
                    type: string
                    example: Knowledge Base Description
                  title:
                    type: string
                    example: Knowledge Base Title
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````